' ==== seroutToPi.bas =================================

' This program transmits serial data to Pi. Run this
' program first; then run serialInFromAx.py on the Pi.

' === Directives ===
  #com 3                    'specify serial port
  #picaxe 08M2              'specify processor
  #terminal 9600            'open the terminal window
  #no_data                  'save time downloading
  		
' === Constants ====
  symbol rxPin = C.2        'connected to GPIO 14 on Pi
  symbol txPin = C.1        'connected to GPIO 15 on Pi
  
' === Variables ====
  symbol value = b0         'used in for/next loop	

'==== Begin Main Program ==============================
dirsC = %00010011           'C.2, C.3 & C.5 are inputs
setfreq m8

' Send ASCII chars "A" through "Z" in an infinite loop.
do
  for value = 65 to 90
    sertxd (value,CR,LF)     'each char on new line
    serout txPin,T9600_8,(value)
    pause 500
  next value
loop