# serialOutToAx.py (for Python3)

import serial
from time import sleep

# define & open serial port @ 9600 baud
ser = serial.Serial('/dev/ttyAMA0',9600)

# Allow 08M2 time to discard garbage chr
sleep(.1)

while True:
    try:
        ser.write(b'Hello PICAXE')
        sleep(1)
        
        ser.write(b'I said Hi!')
        sleep(1)
        
        ser.write(b'Where are you?')
        sleep(2)
        
    except KeyboardInterrupt:
        ser.write(b'Keyboard Interrupt')
        ser.close()
        break